%define real_version 20121017
Name:           dnstop
Version:        0.20121017
Release:        1%{?dist}
Summary:        Displays various tables of DNS traffic on your network

Group:          Applications/Internet
License:        BSD
URL:            http://dnstop.measurement-factory.com
Source0:        http://dnstop.measurement-factory.com/src/%{name}-%{real_version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libpcap-devel, ncurses-devel

%description
dnstop is a libpcap application (ala tcpdump) that displays various
tables of DNS traffic on your network, including tables of source and
destination IP addresses, query types, top level domains and second
level domains.


%prep
%setup -q -n %{name}-%{real_version}


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
%{__install} -Dp -m0755 %{name} %{buildroot}%{_sbindir}/%{name}
gzip %{name}.8
%{__install} -Dp -m0644 %{name}.8.gz %{buildroot}%{_mandir}/man8/%{name}.8.gz


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, -)
%doc CHANGES LICENSE
%{_mandir}/man8/dnstop.8.gz
%{_sbindir}/dnstop



%changelog
* Wed May 19 2011 Denis Frolov <d.frolov81@mail.ru> 0.20110502-1
- update to 20110502

* Wed May 19 2011 Denis Frolov <d.frolov81@mail.ru> 0.20090128-3
- Fix man files

* Thu Jun 26 2009 Denis Frolov <d.frolov81@mail.ru> 0.20090128-1
- Updated to release 20090128
